package com.goldenwater.slgc.service.impl.portal;

import com.goldenwater.slgc.entity.portal.Djxx;
import com.goldenwater.slgc.mapper.portal.DjxxMapper;
import com.goldenwater.slgc.service.portal.IDjxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class DjxxServiceImpl implements IDjxxService {
    @Autowired
    private DjxxMapper djxxMapper;

    @Override
    public List<Djxx> selectList(Djxx djxx) {
        return djxxMapper.selectList(djxx);
    }

    @Override
    public Djxx selectById(Long id) {
        return djxxMapper.selectById(id);
    }

    @Override
    public int insert(Djxx djxx) {
        return djxxMapper.insert(djxx);
    }

    @Override
    public int update(Djxx djxx) {
        return djxxMapper.update(djxx);
    }

    @Override
    public int deleteByIds(Long[] ids) {
        return djxxMapper.deleteByIds(ids);
    }
}
